{
	"name": "table/external/odoo/resource/resource-load_group.json",
	"table_name": "mrp_workcenter",
	"odoo_model": "mrp.workcenter",
	"table_prefix": "res",
	"record_type": ["load_group"],
	"local_table": "resource",
	"local_record_type": "load_group",
	"field": [
		{
			"info": "Active\nIf the active field is set to False, it will allow you to hide the resource record without removing it.",
			"field_name": "active",
			"local_field": "resource_state",
			"field_type": "boolean"
		},
		{
			"info": "Next Activity Calendar Event",
			"field_name": "activity_calendar_event_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Next Activity Deadline",
			"field_name": "activity_date_deadline",
			"local_field": "",
			"field_type": "date"
		},
		{
			"info": "Activity Exception Decoration\nType of the exception activity on record.",
			"field_name": "activity_exception_decoration",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Icon\nIcon to indicate an exception activity.",
			"field_name": "activity_exception_icon",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Activities",
			"field_name": "activity_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Activity State\nStatus based on activities\nOverdue: Due date is already passed\nToday: Activity date is today\nPlanned: Future activities.",
			"field_name": "activity_state",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Next Activity Summary",
			"field_name": "activity_summary",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Activity Type Icon\nFont awesome icon e.g. fa-tasks",
			"field_name": "activity_type_icon",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Next Activity Type",
			"field_name": "activity_type_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Responsible User",
			"field_name": "activity_user_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Alternative Workcenters\nAlternative workcenters that can be substituted to this one in order to dispatch production",
			"field_name": "alternative_workcenter_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Analytic Distribution",
			"field_name": "analytic_distribution",
			"local_field": "",
			"field_type": "json"
		},
		{
			"info": "Analytic Precision",
			"field_name": "analytic_precision",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Blocked Time\nBlocked hours over the last month",
			"field_name": "blocked_time",
			"local_field": "",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "Product Capacities\nSpecific number of pieces that can be produced in parallel per product.",
			"field_name": "capacity_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "check - Code",
			"field_name": "code",
			"local_field": "cell_resource_id",
			"field_type": "varchar"
		},
		{
			"info": "Color",
			"field_name": "color",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Company",
			"field_name": "company_id",
			"local_field": "json_data.firm_id",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Cost per hour\nHourly processing cost.",
			"field_name": "costs_hour",
			"local_field": "setup_hourly_self_cost",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "Costs Hour Account",
			"field_name": "costs_hour_account_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Created on",
			"field_name": "create_date",
			"local_field": "create_time",
			"field_type": "timestamp without time zone",
			"type": "datetime"
		},
		{
			"info": "Created by",
			"field_name": "create_uid",
			"local_field": "json_data.create_user",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Currency",
			"field_name": "currency_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Capacity\nDefault number of pieces (in product UoM) that can be produced in parallel (at the same time) at this work center. For example: the capacity is 5 and you need to produce 10 units, then the operation time listed on the BOM will be multiplied by two. However, note that both time before and after production will only be counted once.",
			"field_name": "default_capacity",
			"local_field": "",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "Display Name",
			"field_name": "display_name",
			"local_field": "resource_name",
			"field_type": "varchar"
		},
		{
			"info": "Distribution Analytic Account",
			"field_name": "distribution_analytic_account_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Effective Date\nThis date will be used to compute the Mean Time Between Failure.",
			"field_name": "effective_date",
			"local_field": "",
			"field_type": "date"
		},
		{
			"info": "Employee Hourly Cost",
			"field_name": "employee_costs_hour",
			"local_field": "",
			"field_type": "double",
			"type": "monetary"
		},
		{
			"info": "employees with access\nif left empty, all employees can log in to the workcenter",
			"field_name": "employee_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Maintenance Equipment",
			"field_name": "equipment_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Estimated time before next failure (in days)\nComputed as Latest Failure Date + MTBF",
			"field_name": "estimated_next_failure",
			"local_field": "",
			"field_type": "date"
		},
		{
			"info": "Expected MTBF\nExpected Mean Time Between Failure",
			"field_name": "expected_mtbf",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Expense Account\nThe expense is accounted for when the manufacturing order is marked as done. If not set, it is the expense account of the final product that will be used instead.",
			"field_name": "expense_account_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Has Message",
			"field_name": "has_message",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Has Routing Lines\nTechnical field for workcenter views",
			"field_name": "has_routing_lines",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "ID",
			"field_name": "id",
			"local_field": "resource_id",
			"local_field2": ["record_id"],
			"field_type": "integer",
			"constraint": ["primary key"]
		},
		{
			"info": "Kanban Dashboard Graph",
			"field_name": "kanban_dashboard_graph",
			"local_field": "",
			"field_type": "text"
		},
		{
			"info": "Latest Failure Date",
			"field_name": "latest_failure_date",
			"local_field": "",
			"field_type": "date"
		},
		{
			"info": "Maintenance Count",
			"field_name": "maintenance_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Maintenance",
			"field_name": "maintenance_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Current Maintenance",
			"field_name": "maintenance_open_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Maintenance Team",
			"field_name": "maintenance_team_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Attachment Count",
			"field_name": "message_attachment_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Followers",
			"field_name": "message_follower_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Message Delivery error\nIf checked, some messages have a delivery error.",
			"field_name": "message_has_error",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Number of errors\nNumber of messages with delivery error",
			"field_name": "message_has_error_counter",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "SMS Delivery error\nIf checked, some messages have a delivery error.",
			"field_name": "message_has_sms_error",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Messages",
			"field_name": "message_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Is Follower",
			"field_name": "message_is_follower",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Action Needed\nIf checked, new messages require your attention.",
			"field_name": "message_needaction",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Number of Actions\nNumber of messages requiring action",
			"field_name": "message_needaction_counter",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Followers (Partners)",
			"field_name": "message_partner_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "MTBF\nMean Time Between Failure, computed based on done corrective maintenances.",
			"field_name": "mtbf",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "MTTR\nMean Time To Repair",
			"field_name": "mttr",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "My Activity Deadline",
			"field_name": "my_activity_date_deadline",
			"local_field": "",
			"field_type": "date"
		},
		{
			"info": "Work Center",
			"field_name": "name",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Description",
			"field_name": "note",
			"local_field": "description",
			"field_type": "text",
			"type": "html"
		},
		{
			"info": "Oee\nOverall Equipment Effectiveness, based on the last month",
			"field_name": "oee",
			"local_field": "",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "OEE Target\nOverall Effective Efficiency Target in percentage",
			"field_name": "oee_target",
			"local_field": "",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "Orders",
			"field_name": "order_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Performance\nPerformance over the last month",
			"field_name": "performance",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Productive Time\nProductive hours over the last month",
			"field_name": "productive_time",
			"local_field": "",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "Ratings",
			"field_name": "rating_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Working Hours",
			"field_name": "resource_calendar_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Resource",
			"field_name": "resource_id",
			"local_field": "resource_id",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[2]"
		},
		{
			"info": "Routing Lines",
			"field_name": "routing_line_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Sequence\nGives the sequence order when displaying a list of work centers.",
			"field_name": "sequence",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Tag",
			"field_name": "tag_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Technician",
			"field_name": "technician_user_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Time Efficiency\nThis field is used to calculate the expected duration of a work order at this work center. For example, if a work order takes one hour and the efficiency factor is 100%, then the expected duration will be one hour. If the efficiency factor is 200%, however the expected duration will be 30 minutes.",
			"field_name": "time_efficiency",
			"local_field": "",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "Time Logs",
			"field_name": "time_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "setup time? - Setup Time",
			"field_name": "time_start",
			"local_field": "json_data.default_setup_hours",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "cleanup time? - Cleanup Time",
			"field_name": "time_stop",
			"local_field": "",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "Timezone\nThis field is used in order to define in which timezone the resources will work.",
			"field_name": "tz",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Website Messages\nWebsite communication history",
			"field_name": "website_message_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Work Center Load",
			"field_name": "workcenter_load",
			"local_field": "",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "Workcenter Status",
			"field_name": "working_state",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "# Work Orders",
			"field_name": "workorder_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Total Late Orders",
			"field_name": "workorder_late_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Total Pending Orders",
			"field_name": "workorder_pending_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Total Running Orders",
			"field_name": "workorder_progress_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "# Read Work Orders",
			"field_name": "workorder_ready_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Last Updated on",
			"field_name": "write_date",
			"local_field": "modify_time",
			"field_type": "timestamp without time zone",
			"type": "datetime"
		},
		{
			"info": "Last Updated by",
			"field_name": "write_uid",
			"local_field": "modify_user",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		}
	]
}
